NSX-T Data Center REST API
Get consolidated status of an intent object
Get Consolidated Status of an intent object (with or without enforcement specific status details).The request is evaluated as follows:
- <intent_path>: the request is evaluated on all enforcement points for the given intent without
enforcement point specific details.
- <intent_path, include_enforced_status=true>: the request is evaluated on all enforcement points
for the given intent with enforcement point specific details. This is only supported when intent_path
refers to an object of one of the following types:
SECURITY_POLICY,
GATEWAY_POLICY,
IDS_SECURITY_POLICY,
IDS_GATEWAY_POLICY,
IDS_COMPRESSED_SIGNATURE,
IDS_COMPRESSED_CUSTOM_SIGNATURE,
TLS_POLICY,
VPC_SECURITY_POLICY,
VPC_GATEWAY_POLICY,
PUBLIC_CLOUD_VPC_SECURITY_POLICY,
Passing the path of an unsupported type (e.g. a rule) with include_enforced_status=true
will result in an error. In such cases, pass the path of the parent policy object instead
(e.g., the SecurityPolicy or GatewayPolicy that contains the rule).
Request:
Method:
GET
URI Path(s):
/policy/api/v1/infra/realized-state/status
/policy/api/v1/global-infra/realized-state/status
/policy/api/v1/orgs/{org-id}/projects/{project-id}/infra/realized-state/status
/policy/api/v1/global-infra/realized-state/status
/policy/api/v1/orgs/{org-id}/projects/{project-id}/infra/realized-state/status
Request Headers:
n/a
Query Parameters:
IntentStatusRequestParameters+
Request Body:
n/a
Example Request:
GET https://<policy-mgr>/policy/api/v1/infra/realized-state/status?intent_path=/infra/domains/default/security-policies/block-external&include_enforced_status=trueSuccessful Response:
Response Code:
200 OK
Response Headers:
Content-type: application/json
Response Body:
ConsolidatedRealizedStatus+